<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>com.partisiablockchain.governance</groupId>
  <artifactId>bp-orchestration-contract</artifactId>
  <version>5.144.0</version>

  <licenses>
    <license>
      <name>AGPL-3.0-or-later</name>
      <url>https://www.gnu.org/licenses/agpl.txt</url>
      <distribution>repo</distribution>
    </license>
  </licenses>

  <repositories>
    <repository>
      <id>gitlab-partisiablockchain</id>
      <url>https://gitlab.com/api/v4/groups/12499775/-/packages/maven/</url>
    </repository>
  </repositories>
  <pluginRepositories>
    <pluginRepository>
      <id>gitlab-partisiablockchain</id>
      <url>https://gitlab.com/api/v4/groups/12499775/-/packages/maven/</url>
    </pluginRepository>
  </pluginRepositories>

  <parent>
    <groupId>com.partisiablockchain.core</groupId>
    <artifactId>contract-pom</artifactId>
    <version>5.25.0</version>
  </parent>

  <properties>
    <com.partisiablockchain.language.abi-generation-maven-plugin.version>5.110.0
    </com.partisiablockchain.language.abi-generation-maven-plugin.version>
  </properties>

  <dependencies>
    <dependency>
      <groupId>com.partisiablockchain.core</groupId>
      <artifactId>contract</artifactId>
      <version>5.26.0</version>
    </dependency>
    <dependency>
      <groupId>com.partisiablockchain.core</groupId>
      <artifactId>contract-test</artifactId>
      <version>5.34.0</version>
      <scope>test</scope>
    </dependency>
  </dependencies>
  <build>
    <plugins>
      <plugin>
        <groupId>com.partisiablockchain.language</groupId>
        <artifactId>abi-generation-maven-plugin</artifactId>
        <version>${com.partisiablockchain.language.abi-generation-maven-plugin.version}</version>
        <executions>
          <execution>
            <phase>compile</phase>
            <goals>
              <goal>deploy-abi</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-compiler-plugin</artifactId>
        <version>${org.apache.maven.plugins.maven-compiler-plugin.version}</version>
        <configuration>
          <!-- Set combine.children="append" to ensure that we do not overwrite the configuration for errorprone  -->
          <annotationProcessorPaths combine.children="append">
            <path>
              <groupId>com.partisiablockchain.language</groupId>
              <artifactId>abi-generation-maven-plugin</artifactId>
              <version>${com.partisiablockchain.language.abi-generation-maven-plugin.version}
              </version>
            </path>
          </annotationProcessorPaths>
        </configuration>
      </plugin>

    </plugins>
  </build>
</project>
